# Portfolios allocations events

Portfolios allocations events

Endpoint: POST Portfolio allocations events
Version: 1.96.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `type` (string, required)
    Event type
    Enum: "PORTFOLIO_ALLOCATION.CREATED", "PORTFOLIO_ALLOCATION.CHANGED"

  - `object` (object, required)

  - `object.id` (string, required)

  - `object.created_at` (string, required)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.updated_at` (string, required)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `object.name` (string, required)
    Allocation name

  - `object.allocation` (array, required)
    List of portfolios allocations

  - `object.allocation.instrument_id` (any, required)

  - `object.allocation.instrument_id_type` (string, required)
    The type of the ID used in the request.
* ISIN - International Securities Identification Number
* UPVEST - UPVEST's unique instrument identifier
    Enum: "ISIN", "UPVEST"

  - `object.allocation.weight` (string, required)
    Instrument allocation weight

  - `webhook_id` (string, required)
    Webhook unique identifier.


## Response 200 fields
